Mattermost, Inc.

[SOLVED] Running Mattermost on PostgreSQL 10

Hi, are there any restrictions in running mm 4.1.0 on PostgreSQL10?
would like to upgrade PostgreSQL.

@hi @wambacher as of now we haven’t tested MM running on PostgreSQL 10, would you be interested in set up a local copy, tested and report back?

It will be highly appreciate it.

@elias: sorry, missed your answer.

yes, i may test this on a local copy, but don’t have the time right now. (mm licence upgrade is making trouble)

the first step to update i think have to update jdbc driver
but i can’t find how to update it. can you figure out?

i think - but i’m not 100% shure - that jdbc is part of the usual postgresql packages. i dont’t remember havin installed jdbc on my mattermost server, it just runs.

walter

i just comeback to confirm i can run with postgresql 10 without do anything.
before i mistake on password and careless when check log.

1 Like